package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.RechargeRecordWater;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface RechargeRecordWaterDAO {
	int insert(RechargeRecordWater entity);
	int update(RechargeRecordWater entity);
	int exist(String id);
	RechargeRecordWater get(String id);
	int delete(String id);
	RechargeRecordWater getBySerialNum(String erialNum);
	List<RechargeRecordWater> list();
	List<RechargeRecordWater> search(Map<String, Object> searchParams, List<Sort> sortList);
}